Skip to main content
GET
Get Batch Payment Templates

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

id
string<uuid>[]

Unique resource identifier

enabled
boolean

Whether or not the template is enabled. If the template is not enabled, it will not be used when creating a batch transfer.

Example:

true

name
string

Name of the Batch Template

Example:

"International Remittance"

description
string

Description of the Batch Template

Example:

"This template is used for international remittance"

Response

Retrieve all Batch Payment templates

config
Batch Payment Template Config · object
required

The config of a Batch Payment Template. This is used the match the Batch Payment Template to a batch transfer.

name
string
required
Example:

"International Remittance"

rules
Batch Payment Template Rules · object
required

The rules of a Batch Payment Template. This is used when processing a batch transfer.

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

description
string
Example:

"This template is used for international remittance"

enabled
boolean

Whether or not the template is enabled. If the template is not enabled, it will not be used when creating a batch transfer.

extra_rail_params
object

Additional parameters to be passed through to the payment rail.

id
string<uuid>
read-only
Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"